Index: palm/trunk/SOURCE/pmc_general_mod.f90
===================================================================
--- palm/trunk/SOURCE/pmc_general_mod.f90	(revision 1901)
+++ palm/trunk/SOURCE/pmc_general_mod.f90	(revision 1933)
@@ -1,5 +1,5 @@
  MODULE pmc_general
 
-!--------------------------------------------------------------------------------!
+!-------------------------------------------------------------------------------!
 ! This file is part of PALM.
 !
@@ -16,14 +16,17 @@
 !
 ! Copyright 1997-2016 Leibniz Universitaet Hannover
-!--------------------------------------------------------------------------------!
+!-------------------------------------------------------------------------------!
 !
 ! Current revisions:
 ! ------------------
-!
-!
+! 
+! 
 ! Former revisions:
 ! -----------------
 ! $Id$
 !
+! 1901 2016-05-04 15:39:38Z raasch
+! Code clean up. The words server/client changed to parent/child.
+!
 ! 1900 2016-05-04 15:27:53Z raasch
 ! re-formatted to match PALM style, file renamed again
@@ -33,6 +36,6 @@
 !
 ! 1786 2016-03-08 05:49:27Z raasch
-! change in client-server data transfer: server now gets data from client
-! instead that client put's it to the server
+! change in child-parent data transfer: parent now gets data from child
+! instead of that child puts it to the parent
 !
 ! 1779 2016-03-03 08:01:28Z raasch
@@ -90,5 +93,5 @@
        INTEGER                   :: nrdims       !< number of dimensions
        INTEGER, DIMENSION(4)     :: a_dim        !< size of dimensions
-       TYPE(C_PTR)               :: data         !< pointer of data in server space
+       TYPE(C_PTR)               :: data         !< pointer of data in parent space
        TYPE(C_PTR), DIMENSION(2) :: po_data      !< base pointers,
                                                  !< pmc_s_set_active_data_array
@@ -113,23 +116,23 @@
     END TYPE pedef
 
-    TYPE, PUBLIC ::  clientdef
+    TYPE, PUBLIC ::  childdef
        INTEGER(idp) ::  totalbuffersize    !<
        INTEGER      ::  model_comm         !< communicator of this model
-       INTEGER      ::  inter_comm         !< inter communicator model and client
-       INTEGER      ::  intra_comm         !< intra communicator model and client
+       INTEGER      ::  inter_comm         !< inter communicator model and child
+       INTEGER      ::  intra_comm         !< intra communicator model and child
        INTEGER      ::  model_rank         !< rank of this model
        INTEGER      ::  model_npes         !< number of PEs this model
-       INTEGER      ::  inter_npes         !< number of PEs client model
+       INTEGER      ::  inter_npes         !< number of PEs child model
        INTEGER      ::  intra_rank         !< rank within intra_comm
-       INTEGER      ::  win_server_client  !< MPI RMA for preparing data on server AND client side
-       TYPE(pedef), DIMENSION(:), POINTER ::  pes  !< list of all client PEs
-    END TYPE clientdef
+       INTEGER      ::  win_parent_child   !< MPI RMA for preparing data on parent AND child side
+       TYPE(pedef), DIMENSION(:), POINTER ::  pes  !< list of all child PEs
+    END TYPE childdef
 
     TYPE, PUBLIC ::  da_namedef  !< data array name definition
        INTEGER                   ::  couple_index  !< unique number of array
-       CHARACTER(LEN=da_desclen) ::  serverdesc    !< server array description
-       CHARACTER(LEN=da_namelen) ::  nameonserver  !< name of array within server
-       CHARACTER(LEN=da_desclen) ::  clientdesc    !< client array description
-       CHARACTER(LEN=da_namelen) ::  nameonclient  !< name of array within client
+       CHARACTER(LEN=da_desclen) ::  parentdesc    !< parent array description
+       CHARACTER(LEN=da_namelen) ::  nameonparent  !< name of array within parent
+       CHARACTER(LEN=da_desclen) ::  childdesc     !< child array description
+       CHARACTER(LEN=da_namelen) ::  nameonchild   !< name of array within child
     END TYPE da_namedef
 
@@ -146,5 +149,5 @@
  CONTAINS
 
- SUBROUTINE pmc_g_setname( myclient, couple_index, aname )
+ SUBROUTINE pmc_g_setname( mychild, couple_index, aname )
 
     IMPLICIT NONE
@@ -152,5 +155,5 @@
     CHARACTER(LEN=*)               ::  aname         !<
     INTEGER, INTENT(IN)            ::  couple_index  !<
-    TYPE(clientdef), INTENT(INOUT) ::  myclient      !<
+    TYPE(childdef), INTENT(INOUT)  ::  mychild       !<
 
     INTEGER ::  i  !<
@@ -162,7 +165,7 @@
 !-- Assign array to next free index in array list.
 !-- Set name of array in arraydef structure
-    DO  i = 1, myclient%inter_npes
-
-       ape => myclient%pes(i)
+    DO  i = 1, mychild%inter_npes
+
+       ape => mychild%pes(i)
        ape%nr_arrays = ape%nr_arrays + 1
        ape%array_list(ape%nr_arrays)%name        = aname
